> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/fr/installation-setup/installation/docker/stockage-dans-le-systeme-de-fichiers.md).

# Stockage dans le système de fichiers

Par défaut, ngSurvey stocke tous les fichiers (médias ou répondants) dans sa base de données. Si vous souhaitez stocker vos fichiers médias ou répondants dans un dossier plutôt que d'utiliser la base de données, vous devrez configurer un volume Docker où vos données seront conservées.&#x20;

Voici un exemple de Docker Compose pour exécuter ngSurvey en utilisant une base de données MySQL et qui définit un volume personnalisé "ngsmedia".

```
version: '3'
volumes:
  mysql:
    driver: local
  nginx:
    driver: local
  ngsmedia:
services:
    ngsurvey:
        image: ngsurvey/ngsurveyee:latest
        restart: always
        networks:
            - default
        ports:
        - 8088:80
        depends_on:
           - mysqlngsurveydb
        volumes:
            - ngsmedia:/ngsmedia 
        command: ["./wait-for-it.sh", "mysqlngsurveydb:3306", "--", "python", "app.py"]
        environment:
           - ConnectionStrings:NGSurveyDB=Server=mysqlngsurveydb;Database=ngsurveydb53;Uid=root;Pwd=maytheforcebewithyou;
           - NGSurvey:StorageEngine=MySQL
    mysqlngsurveydb:
        image: mysql:latest
        ports:
           - 3310:3306
        cap_add:
           - SYS_NICE
        restart: always
        volumes:
           - mysql:/var/lib/mysql
        environment:
           - MYSQL_ROOT_PASSWORD=maytheforcebewithyou
        command: ['--default-authentication-plugin=mysql_native_password']   
networks:
  frontproxy_default:
    external: true        
```

Une fois que vous avez défini le volume, vous pouvez le configurer dans votre [Stockage Fileystem](/fr/installation-setup/system-settings/active-directory-settings-1.md) settings.

![](https://186103257-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M8fLhS0bmfBRyq0HdUm%2Fuploads%2FIBNrwbGa8X3TsabGPIqD%2Fimage.png?alt=media\&token=5a3d2081-e969-4d48-8b76-34f8ac501f05)&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/fr/installation-setup/installation/docker/stockage-dans-le-systeme-de-fichiers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
